🎉 MiniMax-M2.7: Peak Performance. Ultimate Value. Master the Complex. ➔ Try Now.
curl --request POST \
--url https://api.minimax.io/v1/image_generation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>' \
--data '
{
"model": "image-01",
"prompt": "A girl looking into the distance from a library window",
"aspect_ratio": "16:9",
"subject_reference": [
{
"type": "character",
"image_file": "https://cdn.hailuoai.com/prod/2025-08-12-17/video_cover/1754990600020238321-411603868533342214-cover.jpg"
}
],
"n": 2
}
'{
"id": "03ff3cd0820949eb8a410056b5f21d38",
"data": {
"image_urls": [
"XXX",
"XXX",
"XXX"
]
},
"metadata": {
"failed_count": "0",
"success_count": "3"
},
"base_resp": {
"status_code": 0,
"status_msg": "success"
}
}Use this API to generate images from image input.
curl --request POST \
--url https://api.minimax.io/v1/image_generation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>' \
--data '
{
"model": "image-01",
"prompt": "A girl looking into the distance from a library window",
"aspect_ratio": "16:9",
"subject_reference": [
{
"type": "character",
"image_file": "https://cdn.hailuoai.com/prod/2025-08-12-17/video_cover/1754990600020238321-411603868533342214-cover.jpg"
}
],
"n": 2
}
'{
"id": "03ff3cd0820949eb8a410056b5f21d38",
"data": {
"image_urls": [
"XXX",
"XXX",
"XXX"
]
},
"metadata": {
"failed_count": "0",
"success_count": "3"
},
"base_resp": {
"status_code": 0,
"status_msg": "success"
}
}Documentation Index
Fetch the complete documentation index at: https://platform.minimax.io/docs/llms.txt
Use this file to discover all available pages before exploring further.
HTTP: Bearer Auth
Bearer API_key, can be found in Account Management>API Keys.The media type of the request body. Must be set to application/json to ensure the data is sent in JSON format.
application/json Model name. Options: image-01.
image-01, image-01-live Text description of the image, max length 1500 characters.
Subject reference for image-to-image generation.
Show child attributes
Image aspect ratio, default 1:1. Options:
1:1 (1024x1024)16:9 (1280x720)4:3 (1152x864)3:2 (1248x832)2:3 (832x1248)3:4 (864x1152)9:16 (720x1280)21:9 (1344x576)1:1, 16:9, 4:3, 3:2, 2:3, 3:4, 9:16, 21:9 Image width (px). Only effective for image-01. Must be set together with height. Range [512, 2048], must be divisible by 8. If both width/height and aspect_ratio are provided, aspect_ratio takes priority.
Height of generated image (pixels). Only effective when model is image-01.
Same rules as width.
Response format for images. Default: url. Options: url, base64. ⚠️ Note: url expires in 24 hours.
url, base64 Random seed. Using the same seed and parameters allows result reproduction. If omitted, each of the n images will use a unique random seed.
Number of images to generate per request. Range [1, 9]. Default: 1.
1 <= x <= 9Enable automatic optimization of prompt. Default: false.